%define upstream_name    Set-Infinite
%define upstream_version 0.65

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Infinite Set Theory module, with Date, Time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildArch: noarch


%description
Set::Infinite is a Set Theory module for infinite sets.

A set is a collection of objects. The objects that belong to a set are
called its members, or "elements".

As objects we allow (almost) anything: reals, integers, and objects (such
as dates).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.650.0-3.mga4
+ Revision: 514599
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.650.0-2.mga3
+ Revision: 372592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.650.0-1.mga1
+ Revision: 28758
- mageia rebuild
- imported package perl-Set-Infinite


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.650.0-1mdv2010.1
+ Revision: 542920
- import perl-Set-Infinite


* Thu May 06 2010 cpan2dist 0.65-1mdv
- initial mdv release, generated with cpan2dist
